/* ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- */
/* ----------------------------------2022/03/18填寫     進銷存表單開始------------------------------------------------------------------------------------------------------------------------------------- */
/* ----------------------------------2022/05/27修改------------------------------------------------------------------------------------------------------------------------------------- */
/* ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- */
/* 分頁主題 */
.tit_nav{
    width: 100%;
    background: #fff;
    display:flex;
    align-items: center;
    padding-left: 20px;
    /* border:1px solid #C7C7C7; */
    /* border-bottom: 3px dashed #FFD540; */
    /* margin-bottom: 20px; */
    /* box-shadow: 0 20px 50px rgba(224, 224, 224, 0.3); */
}
.tit_nav img{
    
    padding-left: 20px;
    margin-top: 1em;
    margin-bottom: 0em;
}
.tit_nav p{
    color: #000;
    font-size: 30px;
    padding-left: 0.5em;
    margin-bottom: 0em;
    margin-top: 1em;
}
.tit-nav{
    width: 100%;
    background: #fff;
    display:flex;
    align-items: center;
    padding-left: 20px;  
    margin-top: 20px; 
    margin-bottom: 10px; 
    /* border-bottom: #c4c4c4 2px solid; */
}
.tit-nav p{
    color: #000;
    font-size: 36px;
    padding-left: 0.5em;
    border-left: 20px solid #FFB88F;
}
/* 資料表頭 */
.cus_form_head{
    display: flex;
    justify-content: stretch;
    align-items: center;
    /* border: #ff0000 1px solid; */
    width: 80%;
    justify-content: space-between;
    flex-flow: row wrap;
    padding-left: 20px;
}
.cus_form_item{
    /* border: #00ff00 1px solid; */
    width: 30%;
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    margin-top: 25px;
}
.cus_form_name{
    color: #808080;
    font-size: 16px;
    min-width: 130px;
    /* border: #ee0000 1px solid; */
    font-weight: bold;
}
.cus_form_input{
    width: 180px;
}


/* 資料表身 */
.cus_form_body{
    display: flex;
    justify-content: center;
    align-items: center;
    /* border: #ff0000 1px solid; */
    width: 100%;
    justify-content: center;
    margin-top: 30px;
    padding: 30px ;
    position: relative;
    box-sizing: border-box;
    
}
.cus_form_body::after{
  content: '';
  height: 3px;
  border-radius: 3px;
  background: #31B5DE;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0px;

}
.cus_form_body::before{
  content: '';
  height: 3px;
  border-radius: 3px;
  background: #31B5DE;
  width: 100%;
  position: absolute;
  bottom: 0;
  left: 0px;

}
.cus_form_body_wrap{
  display: flex;
  /* justify-content: stretch; */
  align-items: center;
  /* border: #ff0000 1px solid; */
  width: 100%;
  justify-content: space-between;
  flex-flow: row wrap;
  
}
.cus_form_body_tit{
    margin-top: 1em;
    margin-bottom: 0.5em;
    display: flex;
    align-items: center;
}
.cus_form_body_tit h4{
    font-size: 24px;
    font-weight: bold;
    color: #FF9960;
}
.cus_form_body_wrap img{
    margin-right: 10px;
    /* border: #0000ff 1px solid; */
    margin-top: 8px;
}

/* 較镸的input如地址、備註 */
.cus_form_item_addr{
  width: 100%;
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  margin-top: 25px;
  /* overflow: hidden; */
}
.cus_form_inputLong{
  display: flex;
  flex-flow: row nowrap;
  width: 100%;
}
.cus_form_input_addrS{
  min-width: 100px;
}
.cus_form_input_addrL{
  width: 100%;
}
/* 較短的input */
.cus_form_item_small{
width: 24%;
display: flex;
flex-flow: row nowrap;
align-items: center;

margin-top: 25px;
/* border: #0c6 1px solid; */
}
.cus_form_input_small{
    width: 120px;
    /* border: #0000ff 1px solid; */
}
  /* 如果表單父層設定flex */
.justify-content-c{
    justify-content: center;
}
.justify-content-r{
    justify-content: right;
}
/* 2022/03/18 按鈕*/
.buttomWrap{
    /* border:  1px #0000FF solid; */
    width: 85%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 50px;
    
}
.buttomWrap_02{
    /* border:  1px #0000FF solid; */
    width: 85%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin:0;
}
.topBTNwrap{
    /* border:  1px #0000FF solid; */
    display: flex;
    align-items: center;
    flex-flow: row wrap;
    
    
}

.submit_BTN{
    height: 50px;
    /* border:  1px #0000FF solid; */
    width: 150px;
    border-radius: 5px;
    border: none;
    display: flex;
    margin-left: 5px;
    margin-right: 5px;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    color: #fff;
    box-shadow: rgba(0, 0, 0, 0.25) 4px 4px 4px ;
    transition: all .3s ease-in-out;
}
.submit_BTN:hover,.submit_BTN:active{
    transform: scale(0.8);
    box-shadow: rgba(0, 0, 0, 0.5) 2px 2px 2px ;
}
.submit_blueBTN{background: #16324F;}
.submit_trueBTN{background: #31B4DE;}
.submit_falseBTN{background: #DE6531;}
.submit_orangeBTN{background: #FF9E10;}
.submit_greenBTN{background: #176A1F;}

.windowbox{
    margin: auto;
    /* border: #0092dc 1px solid; */
    display: flex;
    flex-flow: column wrap;
    align-items: center;
}
.formHr{
    width: 100%;
    border: #FF9960 1px dashed;
    margin: auto;
    margin-top: 20px;
}
.titHr{
    width: 100%;
    border-bottom: #c9c9c9 2px solid;
    margin: 0 20px;
    
}

/* 手刻table start */
.handW_searchbar{
    width: 100%;
    
}
.handW_tip{
    width: 100%;
    display: flex;
    align-items: center;
    margin: 5px;
}
.handW_tip p{
    display: flex;
    align-items: center;
    margin-left: 20px;
}
.handW_tableWrap{
    display: block;
    overflow: auto;
    height: 98%;
}
.handW_table{
    display: table;
    width: 100%;
    /* border:1px #ff0000 solid; */
}
.handW_thead{
    display: table-header-group;
    background: #E4E4E4;
    font-size: 18px;
    color: #234D78;
    width: 100%;
    font-weight: bold;
    /* padding: 20px 10px; */
    position: sticky;
    top: 0;
    left: 0;
}
.handW_tr{
    display: table-row;
}

.handW_th,.handW_td{
    display: table-cell;
    border-collapse: collapse;
    border: solid  #CFCFCF 0.5px;
    width: 250px;
}
.handW_tbody{
    display: table-row-group;
    
}
/* 手刻table end */
#fullscreen_Area{
    background: #fff;
}



.situa_td_box{
    width: 250px;
    box-sizing: border-box;
    padding: 5px;
}
.situa_td_content{
    width: 100%;
    box-sizing: border-box;
    margin:10px 0px ;
    font-size:16px;
    display: flex;
    flex-flow: row wrap;
    /* border:1px #ff0000 solid; */
}
.situa_td_tit{
    width: 5em;
    color:#DE6531;
    text-align: right;

}
.situa_td_titp{
    color:#000;

}

.situsa_td_company{
    box-sizing: border-box;
    padding:0 5px;
    width: 240px;
    background: #234D78;
    border-radius: 5px;
    color: #fff;
    font-size:16px;
    text-align: center;
    line-height: 30px;
    margin: 10px auto;
    overflow: hidden;
}
.situa_td_num{
    width: 100%;
    box-sizing: border-box;
    margin:10px 0px ;
    font-size:16px;
    display: flex;
    flex-flow: row wrap;
    /* border:1px #ff0000 solid; */
}
.situa_td_numItem{
    width: 49%;
    margin-top: 10px;
    /* border:1px #0000ff solid; */
}
.situa_td_numItem p{
    color: #000;
    font-size:16px;
    text-align: left;
}
.situa_td_icon{
    height: 20px;
    width: 20px;
    margin-right: 10px;
}
.icon_color-blue{color: #305E8D;}
.icon_color-green{color: #176A1F;}
.icon_color-pink{color: #FE7A7A;}






/*easyui 表單搜尋列*/
.toolbar-searchStyle{
    background: #fff0ba;
    padding-top: 10px; 
    padding-bottom: 5px; 
    border-bottom: 2px solid #808080;
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    /* border: 1px solid #ff0000; */

}
.toolbar-searchStyle_Wrap{
    margin: 5px;
    display: flex;
    align-items: center;
    flex-flow: row wrap;

}
.toolbar-searchStyle_Wrap option{
    font-size: 20px;

}
.toolbar-font{
    font-family: '微軟正黑體';
    font-size: 18px;
    color: #000;
    font-weight: bold;
    margin-right: 10px;
}
.toolbar-searchStyle-BTN{
    margin:0 5px;
    background: #2A4C6F;
    color: #fff;
    
}
.toolbar-searchStyle-BTN:hover,.toolbar-searchStyle-BTN:active{
    transition: all .2s ease-in;
    transform: scale(0.9);   
}
.toolbar-EditStyle-BTN{
    margin:0 2px;
    background: #797979;
    color: #fff;
    
}

.table_Style_F{
    font-size: 18px;
    color: #234D78;
}
.datagrid-header,
.datagrid-td-rownumber {
  background-color: #fafafa;
  background: -webkit-linear-gradient(top,#e4e4e4 0,#e4e4e4 100%);
  background: -moz-linear-gradient(top,#e4e4e4 0,#e4e4e4 100%);
  background: -o-linear-gradient(top,#e4e4e4 0,#e4e4e4 100%);
  background: linear-gradient(to bottom,#e4e4e4 0,#e4e4e4 100%);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=#e4e4e4,endColorstr=#e4e4e4,GradientType=0);
}
.popupWindow{
    margin-bottom:10px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column wrap;
    /* text-align: left; */
    /* border:1px #0000ff solid; */
}

.popupWindow label{
    width:100%;
    color:#16324F;
    font-size:18px;
    align-items: left;
    /* border:1px #ff0000 solid; */
    text-align: left;
    
}
.popupWindow ol{
    list-style-type:decimal;
    list-style-position: outside;
    margin-left: 10px;
    text-align: left;
}
.popupWindow ol li{
    font-size: 20px;
    margin-top:15px;
    text-align: left;
}
.popupWindow .tip{
    font-size: 20px;
    color: #000;
    font-weight: bold;
    text-align: center;
}
.fileBTN{
    height: 50px;
    width: 200px;
    border:5px solid #D8FDFF;
    border-radius: 8px;
    margin-top:20px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}
.fileBTN:hover,.fileBTN:active,.fileBTN:focus{
    border:5px solid #FFC552;
}
.fileBTN p{
    font-size: 20px;
    font-weight: bold;
    color: #000;
    margin-left: 20px;
}
.searchItem{
    /* border:1px #ff0000 solid; */
    width: 100%;
    display: flex;
    flex-flow: row wrap;
    

}

.infoBox{
    width: 280px;
    height: 380px;
    background:#fff;
    box-shadow: 5px 5px 5px #c0c0c0;
    border:1px solid #c0c0c0;
    box-sizing: border-box;
    margin: 10px;
}
.infoBox_tit{
    width: 90%;
    display: flex;
    align-items: center;
    font-size:24px ;
    color: #000;
    padding:10px;
    border-bottom: 3px dashed #FFC552;
    margin: 0 auto;
    font-weight: bold;
}
.infoBox_tit img{
    margin-right: 10px;
}
.infoBox ul{
    width: 90%;
    margin: 0 auto;
    padding:10px;
    color:#2A1E5C;
    font-size:16px ;
}
.infoBox ul li{
    margin-top: 5px;
    font-weight: bold;
}
.infoBox ul li span{
    color:#808080;
    font-weight: normal;   
}
.infoBox_BTN{
    width: 90%;
    margin: 0 auto;
    padding:10px;
    /* border: #00ff00 1px solid; */
    display: flex;
    justify-content: center;
    align-items: center;
}
.infoBox_BTN_p{
    height: 45px;
    width: 120px;
    border-radius: 5px;
    background: #087E8B;
    color: #fff;
    font-size:16px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.infoBox_BTN_p:active, .infoBox_BTN_p:hover{
    transition: all .3s ease-in-out;
    transform: scale(0.8);
}


/* 進度條Start */
.progressArea{
    /* border:1px solid #00ff00; */
    width: 80%;
    height: 300px;
    margin-left: 50px;
    overflow: auto;
    display: flex;
    justify-content: center;
    align-items: stretch;
    flex-flow: row nowrap;
    border-bottom: 3px solid #31B4DE;
}
.progressArea li{
    /* border:1px solid #ff0000; */
    width: 250px;
    writing-mode: vertical-lr;
    color:#808080;
    font-size:18px;
    margin-top: 100px;
    position: relative;
    padding-left: 15px;
    background: #fff; 
}
.progressArea li::after{
    content:"";
    height: 5px;
    width: 100%;
    /* top: -80px; */
    background: #c4c4c4;
    position: absolute;
    top: -62px;
    left: -100%;
    z-index: 1;
    
}
.progressArea li::before{
    content:"";
    background: #fff;
    height: 25px;
    width: 25px;
    border-radius: 50%;
    border:8px solid #c4c4c4;
    position: absolute;
    top: -80px;
    left: 0px;
    z-index: 2;
}
.progressArea li:first-child:after{
    content:none;
}
/* 進度完成，廠商字型變黑 */
.progressArea li.active {
    color: #000;
}
/* 進度完成，進度條變黃 */
.progressArea li.active:before {
    border-color:#FFC552;
}
/* 進度完成，圓形變黃 */
.progressArea li.active:after {
    background:#FFC552;
}
/* 進度進行中，圓形變綠 */
.progressArea li.focus:before {
    border-color:#087E8B;
}
/* 進度條End */


.tip_edit{
    color: #a00000;
    font-size:20px;
    width: 100%;
    /* border:1px #ff0000 solid; */
    display: flex;
    align-items: center;
    font-weight: bold;
    margin: 20px 0 0 20px;
}
.tip_edit img{
    height: 30px;
    margin-right: 10px;
}


/* 隱藏數字調整鍵START */
input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}
/* 隱藏數字調整鍵END */

.orange_titH4{
    color:#DE6531;
    font-size:26px;
    margin: 35px 0 10px 0;
    width: 100%;
}
.blue_hr{
    border-bottom: 2px solid #31B4DE;
    width: 100%;
}



/* ----------------------------------------螢幕小於1480----------------------------------------------- */
@media (max-width: 1480px){
    /* 資料表頭 */
    .cus_form_head{
        padding-left: 0px;
    }
    .cus_form_item{
        width: 33%;
    }
    .cus_form_name{
        font-size: 14px;
    }
    




    /* 如果表單父層設定flex */
  .justify-content-c{
      justify-content: left;
  }
  .justify-content-r{
      justify-content: left;
  }
}
/* ----------------------------------------螢幕小於1300----------------------------------------------- */
@media (max-width: 1300px){
        /* 資料表頭 */
    
    .cus_form_item{
        width: 49%;
    }
    .cus_form_name{
        color: #808080;
        font-size: 16px;
    }
    .cus_form_input{
        width: 250px;
    }
    /* 較短的input */
    .cus_form_item_small{
        width: 49%;
        
    }


}
/* ----------------------------------------螢幕小於900----------------------------------------------- */
@media (max-width: 900px){
    /* 資料表頭 */

    .cus_form_item{
        width: 100%;
    }
    .cus_form_name{
        color: #808080;
        font-size: 16px;
    }
}
/* ----------------------------------------螢幕小於700----------------------------------------------- */
@media (max-width: 700px){
    /* 資料表頭 */

    .cus_form_item{
        width: 100%;
        flex-flow: column wrap;
    }
    /* 較短的input */
    .cus_form_item_small{
        width: 100%;
    }
    .cus_form_item_addr{
        width: 100%;
        flex-flow: column wrap;
    }
    .cus_form_item_small{
        width: 100%;
        flex-flow: column wrap;
    }
    .cus_form_name{
        text-align: center;
    }
    .cus_form_input_small{
        width: 180px;
        
    }
}
/* ----------------------------------------螢幕小於450----------------------------------------------- */





/* ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- */
/* ----------------------------------2022/03/18填寫     進銷存表單結束------------------------------------------------------------------------------------------------------------------------------------- */
/* ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- */
/* 2022/03/18 按鈕*/